#pragma once

#include "xtr/doc/FileTypes.h"

namespace xtr::io {

//! Export OSS graph as picture
class OSSExporter {
  const ccl::oss::OSSchema& target;

public:
  explicit OSSExporter(const ccl::oss::OSSchema& oss) noexcept
    : target{ oss } {}

public:
  [[nodiscard]] BOOL Export(CString fileName, FileType type);
};

} // namespace xtr::io